name: MST23D18G2
description: switch, surface mount, slide, DP3T
datasheet: https://datasheet.lcsc.com/lcsc/2110190930_SHOU-HAN-MST23D18G2-125_C2906281.pdf

pinout: 1-8

schematic:
  symbol: switch
  left: 1-4
  right: 5-8

housing:
  pattern: custom
  bodyWidth: 12.95
  bodyLength: 3.5
  height: 5.5
  silkscreen: M -5 -1.5 5 -1.5

  model: # from https://copal.partcommunity.com/3d-cad-models/sso/cl-sb-nidec-components
    file: "library/mechanical/switch_mst23d18g2.step"
    rotation: -90,0,0
    position: 0,0,3.5

  padWidth: 1.0
  padHeight: 2.0
  rowCount: 2
  columnCount: 4
  horizontalPitch: 2.0
  verticalPitch: -6.0
  padPosition: -4, 3, -2, 3, 2, 3, 4, 3, -4, -3, -2, -3, 2, -3, 4, -3
